%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Image-Base
Version:       1.17
Release:       2mamba
Summary:       Image::Base - Base class for loading, manipulating and saving images
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Image/Image-Base-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Base class for loading, manipulating and saving images.

%prep
%setup -q -n Image-Base-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.17-2mamba
- perl 5.16 mass rebuild

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.07-3mamba
- automatic rebuild by autodist

* Fri Nov 30 2007 Aleph0 <aleph0@openmamba.org> 1.07-2mamba
- specfile updated

* Tue Oct 26 2004 Mirko Cortillaro <mirko.cortillaro@qilinux.it> 1.07-1qilnx
- package created by autospec
